[SciPy-user] fortran compiter, OS X 10.3

Travis Oliphant oliphant.travis at ieee.org
Sat Aug 12 14:58:57 CDT 2006


David M. Cooke wrote:
> On Sat, Aug 12, 2006 at 11:54:08AM -0700, Robert Kern wrote:
>   
>> John Hunter wrote:
>>     
>>>>>>>> "David" == David M Cooke <cookedm at physics.mcmaster.ca> writes:
>>>>>>>>                 
>>>     David> http://hpc.sourceforget.net/ has g77.
>>>
>>> I spent a little time at this site before posting -- it seems their
>>> g77 was compiled for 3.4 and Tiger.
>>>       
>> Well, you do have to use g77 3.4 on OS X. 3.3 was hideously broken. It works 
>> fine with gcc 3.3. Finding a Panther-compatible build might be a little difficult.
>>     
>
> On PowerPC. For the Intel Macs, you're pretty much stuck with using
> the 4.2 prerelease of gfortran (from what I've read, and my own
> experiences with trying to get previous versions to compile).
>
>   
Does the 4.2 pre-release of gfortran work to compile SciPy on Intel 
Macs?  The only way I've gotten things to work on the Intel Mac is to 
use g95.


-Travis



More information about the SciPy-user mailing list